#include "argparse.h"
#include "parser/ast.h"
#include <compiler.h>
#include <string.h>

// TODO: Change this based on the host pc
const char* DEFAULT_TARGET = "x86_64-linux-nasm";
const char* AVAILABLE_TARGETS[] = {"x86_64-linux-nasm"};
size_t AVAILABLE_TARGET_COUNT = sizeof(AVAILABLE_TARGETS) / sizeof(AVAILABLE_TARGETS[0]);

int compile_x86_64_linux_nasm(args_t* args, program_t* prog);

int compile(args_t* args, program_t* prog) {
    if (strcmp(args->target, "x86_64-linux-nasm") == 0) {
        compile_x86_64_linux_nasm(args, prog);
    }
    return 0;
}
